VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   3000
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   3000
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   Begin VB.PictureBox picHistogram 
      AutoRedraw      =   -1  'True
      Height          =   2775
      Left            =   120
      ScaleHeight     =   2715
      ScaleWidth      =   4395
      TabIndex        =   0
      Top             =   120
      Width           =   4455
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private m_DataValues(1 To 10) As Single

Private Sub DrawHistogram(ByVal pic As PictureBox, m_DataValues() As Single, ByVal min_value As Single, ByVal max_value As Single)
Dim i As Integer

    ' Set convenient data bounds.
    pic.ScaleLeft = LBound(m_DataValues) - 1
    pic.ScaleWidth = UBound(m_DataValues) - LBound(m_DataValues) + 1
    pic.ScaleTop = max_value
    pic.ScaleHeight = min_value - max_value

    ' Draw the data.
    For i = LBound(m_DataValues) To UBound(m_DataValues)
        pic.Line (i - 1, 0)-(i, m_DataValues(i)), QBColor(i Mod 16), BF
    Next i
End Sub

Private Sub Form_Load()
Dim min_value As Single
Dim max_value As Single
Dim i As Integer

    ' Create data.
    min_value = 0
    max_value = 100
    Randomize
    For i = LBound(m_DataValues) To UBound(m_DataValues)
        m_DataValues(i) = min_value + Rnd * (max_value - min_value)
    Next i

    ' Draw the histogram.
    DrawHistogram picHistogram, m_DataValues, min_value, max_value
End Sub


' Display this value.
Private Sub picHistogram_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
Dim i As Integer

    i = Int(X) + 1
    MsgBox "Value " & i & " = " & m_DataValues(i)
End Sub
